function EventAlert_Options_OnLoad()
    UIPanelWindows["EA_Options_Frame"] = {area = "center", pushable = 0};
end


function EventAlert_Options_Init()
    EA_Options_Frame_DoAlertSound:SetChecked(EA_Config.DoAlertSound);
    EA_Options_Frame_LockFrame:SetChecked(EA_Config.LockFrame);
    EA_Options_Frame_ShowFrame:SetChecked(EA_Config.ShowFrame);
    EA_Options_Frame_ShowName:SetChecked(EA_Config.ShowName);
    EA_Options_Frame_ShowFlash:SetChecked(EA_Config.ShowFlash);
    EA_Options_Frame_ShowTimer:SetChecked(EA_Config.ShowTimer);
    EA_Options_Frame_IconSize:SetValue(EA_Config.IconSize);

end


function EventAlert_Options_ToggleAlertFrame()
local timerFontSize = 0;

	if EA_Anchor_Frame:IsVisible() then
		EA_Anchor_Frame:Hide();
    else
		if (EA_Config.ShowFrame == true) then

	        EA_Anchor_Frame:ClearAllPoints();
		    EA_Anchor_Frame:SetPoint(EA_Position.Anchor, EA_Position.xLoc, EA_Position.yLoc);

	        if (EA_Config.ShowName == true) then
		        EA_Anchor_Frame_Name:SetText("Event Alert Frame");
	        else
	            EA_Anchor_Frame_Name:SetText("");
	    	end

	       	if (EA_Config.ShowTimer == true) then
				if (EA_Config.ChangeTimer == true) then
	               timerFontSize = 28;
	               EA_Anchor_Frame_Timer:ClearAllPoints();
	               EA_Anchor_Frame_Timer:SetPoint("CENTER", 0, 0);
	        	else
	            	timerFontSize = 18;
	                EA_Anchor_Frame_Timer:ClearAllPoints();
	                EA_Anchor_Frame_Timer:SetPoint("TOP", 0, 20);
	            end

	            EA_Anchor_Frame_Timer:SetFont("Fonts\\\FRIZQT__.TTF", timerFontSize, "OUTLINE");
                EA_Anchor_Frame_Timer:SetText("TIME LEFT");
	        else
				EA_Anchor_Frame_Timer:SetText("");
	    	end

    	    EA_Anchor_Frame:SetWidth(EA_Config.IconSize);
	        EA_Anchor_Frame:SetHeight(EA_Config.IconSize);
	        EA_Anchor_Frame:Show();
		end


        if (EA_Config.ShowFlash == true) then
        	UIFrameFadeIn(LowHealthFrame, 1, 0, 1);
			UIFrameFadeOut(LowHealthFrame, 2, 1, 0);
        end

        if (EA_Config.DoAlertSound == true) then
	        PlaySoundFile(EA_Config.AlertSound);
		end
	end
end

function EventAlert_Options_ToggleClassEventsFrame()

	if Class_Events_Frame:IsVisible() then
  		Class_Events_Frame:Hide();
	else
		Class_Events_Frame:Show();
        Class_Events_Create_Buttons();
    end

end


function EventAlert_Options_AlertSoundSelect_OnLoad()
	UIDropDownMenu_Initialize(this, EventAlert_Options_AlertSoundSelect_Initialize);
	UIDropDownMenu_SetSelectedID(this, EA_Config.AlertSoundValue);
	UIDropDownMenu_SetWidth(EA_Options_Frame_AlertSoundSelect, 90);
end


function EventAlert_Options_AlertSoundSelect_Initialize()


	local selectedValue = UIDropDownMenu_GetSelectedValue(EA_Options_Frame_AlertSoundSelect) ;
	local info;

	info = {};
	info.text = "ShaysBell";
	info.func = EventAlert_Options_AlertSoundSelect_OnClick;
	info.value = 1;
    if ( info.value == selectedValue ) then
		info.checked = 1;
	end
    UIDropDownMenu_AddButton(info);

	info = {};
	info.text = "Flute";
	info.func = EventAlert_Options_AlertSoundSelect_OnClick;
	info.value = 2;
    if ( info.value == selectedValue ) then
		info.checked = 2;
	end
    UIDropDownMenu_AddButton(info);

    info = {};
	info.text = "Netherwind";
	info.func = EventAlert_Options_AlertSoundSelect_OnClick;
	info.value = 3;
    if ( info.value == selectedValue ) then
		info.checked = 3;
	end
    UIDropDownMenu_AddButton(info);

	info = {};
	info.text = "PolyCow";
	info.func = EventAlert_Options_AlertSoundSelect_OnClick;
	info.value = 4;
    if ( info.value == selectedValue ) then
		info.checked = 4;
	end
    UIDropDownMenu_AddButton(info);

    info = {};
	info.text = "Rockbiter";
	info.func = EventAlert_Options_AlertSoundSelect_OnClick;
	info.value = 5;
    if ( info.value == selectedValue ) then
		info.checked = 5;
	end
    UIDropDownMenu_AddButton(info);

	info = {};
	info.text = "Yarrrr!";
	info.func = EventAlert_Options_AlertSoundSelect_OnClick;
	info.value = 6;
    if ( info.value == selectedValue ) then
		info.checked = 6;
	end
    UIDropDownMenu_AddButton(info);

    info = {};
	info.text = "Broken Heart";
	info.func = EventAlert_Options_AlertSoundSelect_OnClick;
	info.value = 7;
    if ( info.value == selectedValue ) then
		info.checked = 7;
	end
    UIDropDownMenu_AddButton(info);

	info = {};
	info.text = "Millhouse 1!";
	info.func = EventAlert_Options_AlertSoundSelect_OnClick;
	info.value = 8;
    if ( info.value == selectedValue ) then
		info.checked = 8;
	end
    UIDropDownMenu_AddButton(info);

	info = {};
	info.text = "Millhouse 2!";
	info.func = EventAlert_Options_AlertSoundSelect_OnClick;
	info.value = 9;
    if ( info.value == selectedValue ) then
		info.checked = 9;
	end
    UIDropDownMenu_AddButton(info);

end


function EventAlert_Options_AlertSoundSelect_OnClick()
	UIDropDownMenu_SetSelectedValue(EA_Options_Frame_AlertSoundSelect, this.value);

	if (this.value == 1) then
		EA_Config.AlertSound = "Sound\\Spells\\ShaysBell.wav";
    	EA_Config.AlertSoundValue = this.value;
    elseif (this.value == 2) then
		 EA_Config.AlertSound = "Sound\\Spells\\FluteRun.wav";
		 EA_Config.AlertSoundValue = this.value;
    elseif (this.value == 3) then
		 EA_Config.AlertSound = "Sound\\Spells\\NetherwindFocusImpact.wav";
         EA_Config.AlertSoundValue = this.value;
    elseif (this.value == 4) then
		 EA_Config.AlertSound = "Sound\\Spells\\PolyMorphCow.wav";
         EA_Config.AlertSoundValue = this.value;
    elseif (this.value == 5) then
		 EA_Config.AlertSound = "Sound\\Spells\\RockBiterImpact.wav";
         EA_Config.AlertSoundValue = this.value;
    elseif (this.value == 6) then
		 EA_Config.AlertSound = "Sound\\Spells\\YarrrrImpact.wav";
         EA_Config.AlertSoundValue = this.value;
    elseif (this.value == 7) then
		 EA_Config.AlertSound = "Sound\\Spells\\valentines_brokenheart.wav";
         EA_Config.AlertSoundValue = this.value;
    elseif (this.value == 8) then
		 EA_Config.AlertSound = "Sound\\Creature\\MillhouseManastorm\\TEMPEST_Millhouse_Ready01.wav";
         EA_Config.AlertSoundValue = this.value;
    elseif (this.value == 9) then
		 EA_Config.AlertSound = "Sound\\Creature\\MillhouseManastorm\\TEMPEST_Millhouse_Pyro01.wav";
         EA_Config.AlertSoundValue = this.value;
    end
end


function EventAlert_Options_ResetFrame()
	if (EA_Config.LockFrame == true) then
	    DEFAULT_CHAT_FRAME:AddMessage("EventAlert: You must unlock the alert frame in order to move it or reset it's position.")
	else
		EA_Position.Anchor = "CENTER";
        EA_Position.relativePoint = "CENTER";
		EA_Position.xLoc = 0;
		EA_Position.yLoc = 0;

		EA_Anchor_Frame:ClearAllPoints();
	    EA_Anchor_Frame:SetPoint(EA_Position.Anchor, EA_Position.xLoc, EA_Position.yLoc);
	end
end

function EventAlert_Options_MouseDown(button)
    if button == "LeftButton" then
        EA_Options_Frame:StartMoving();
    end
end

function EventAlert_Options_MouseUp(button)
    if button == "LeftButton" then
        EA_Options_Frame:StopMovingOrSizing();
    end
end